{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block title %}{{ wiki.title }}{% endblock %}
{% block extra_head %}
<link rel="stylesheet" type="text/css" href="{% static 'css/wikis.css' %}">
<script src="{% static 'js/html2pdf.bundle.min.js'%}"></script>
{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row card-row">
        <div class="col-12 col-sm-12 col-md-4 col-lg-4 col-xl-3 mb-3">
            <div class="card">
                <div class="card-header">
                    <h1 class="h4 text-center">{% trans "Table of Contents" %}</h1>
                </div>
                <div class="card-body">
                    <table id="jsTable" class="table table-sm table-striped nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th scope="col" style="width: 100%;">Wikis</th>
                                <th>
                                    <a class="btn btn-sm btn-info" href="/wikis/home/"><i class="fas fa-home fa-fw"></i></a>
                                    {% if perms.wikis.manage_wikis %}
                                    <a class="btn btn-sm btn-success" href=" {% url 'wikis:create' %}?next={{ request.get_full_path }}"><i
                                            class="fas fa-plus fa-fw"></i></a>
                                    {% endif %}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for wiki in wiki_list %}
                            <tr>
                                <td colspan="2">
                                    <a href="{% url 'wikis:view' slug=wiki.slug %}">{{ wiki.title }}</a>
                                </td>
                                <td></td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="col-12 col-sm-12 col-md-8 col-lg-8 col-xl-9">
            <div class="card">
                <div class="card-header">
                    <h1 class="h4 text-center">{{ wiki.title }}</h1>
                </div>
                <div class="card-body ck-content">
                    <div id="pdf">
                        {{ wiki.content|safe }}
                    </div>
                    {% if wiki.groups.all.count %}
                    <p>
                        <small class="text-muted">
                            {% trans "This page can only be seen by superusers and members of" %}
                            {{ wiki.groups.all|join:" or "}}.
                        </small>
                    </p>
                    {% endif %}
                    {% if perms.wikis.manage_wikis %}
                    <a class="btn btn-sm btn-warning" href="{% url 'wikis:edit' slug=wiki.slug %}?next={{ request.get_full_path }}">
                        <i class="fas fa-pen fa-fw"></i>
                    </a>
                    {% if wiki.slug != 'home' %}
                    <a class="btn btn-sm btn-danger"
                        href="{% url 'wikis:delete' slug=wiki.slug %}?next={% url 'wikis:view' slug='home' %}&cancel={{ request.get_full_path }}">
                        <i class="fas fa-trash fa-fw"></i>
                    </a>
                    {% endif %}
                    {% endif %}
                    <a class="btn btn-sm btn-primary" href="javascript:genPDF();">
                        <i class="fas fa-file-pdf fa-fw"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function genPDF() {
        var element = document.getElementById('pdf');
        var opt = {
            margin: 1,
            filename: 'wiki.pdf',
            image: { type: 'jpeg', quality: 0.98 },
            html2canvas: { scale: 2, letterRendering: true },
            jsPDF: { unit: 'in', format: 'letter', orientation: 'portrait' },
            pagebreak: { mode: ['avoid-all', 'css', 'legacy'] }
        };

        html2pdf().set(opt).from(element).save();
    }
</script>
{% endblock %}